# master: Makefile
# Makefile linux v0.19
# 2025-02-15 (Rx)

CLEAN = *.aux *.log *.toc *.4ct *.4tc *.idv *.lg *.tmp *.xref *.idx *.ilg *.ind *.out *.out.ps
CLEANUP = *.dvi *.pdf *.ps *.html *.css *.png *.txt
FILE_TEX = linux.tex
FILE_PDF = linux.pdf
FILE_DVI = linux.dvi
FILE_PS  = linux.ps
FILE_TXT = linux.txt
PDF = pdflatex
DVI = latex
PS  = dvips
#HTML = htlatex
#HTML = mk4ht.pl htlatex
HTML = pdftohtml
#TXT = catdvi -e 0
TXT = ps2ascii
RM = rm

all :		pdf html dvi ps txt clean

pdf :
		${PDF} ${FILE_TEX}
		${PDF} ${FILE_TEX}

dvi :
		${DVI} ${FILE_TEX}
		${DVI} ${FILE_TEX}

ps :		dvi
		${PS} ${FILE_DVI}

html :
		# make faulty dvi, run first than dvi
		${HTML} ${FILE_PDF}

txt :
		${TXT} ${FILE_PS} > ${FILE_TXT}

cleanup :
		${RM} ${CLEANUP} ${CLEAN}

clean :
		${RM} ${CLEAN}
